# AgentMads's First Python Script >,>
# AgentMads Is Buggzie (So dont get it mixed up)
#  
# Install instructions:
#       1. Install Mattie's EventScripts 2.0 plugin:
#           http://mattie.info/cs/
#
#       2. Copy and upload this script to:
#           <gamedir>/addons/eventscripts/thousand_grenades/
#
#       3. Add the following line somewhere in autoexec.cfg:
#           es_load thousand_grenades
#
################################################################################

import es

# Server Vars
tg_he_enabled    = es.ServerVar('tg_he_enabled', '1', 'Should HeGrenades ammo be set to 1000?')
tg_fb_enabled    = es.ServerVar('tg_fb_enabled', '1', 'Should FlashBangs ammo be set to 1000?')
tg_sg_enabled    = es.ServerVar('tg_sg_enabled', '1', 'Should SmokeGrenades ammo be set to 1000?')
tg_adverts    = es.ServerVar('tg_adverts', '1', 'Should It tell all players about this?')

# Addon Information
info = es.AddonInfo()
info.name = "Thousand Grenades"
info.version = "1.0"
info.author = "Buggzie"
info.url = "http://addons.eventscripts.com/addons/user/21971"
info.description = "Gives you 1000 grenades for FlashBang SmokeGrenade and HeGrenade"
info.basename = "thousand_grenades"

# Make the Addon Information Public
es.ServerVar('Buggzie_TG', info.version, 'info.name').makepublic()

def player_spawn(ev):
    userid = ev['userid']
    if tg_he_enabled == 1:
        es.server.queuecmd('es_xgive %s weapon_hegrenade' % userid)
        es.server.queuecmd('es_xsetplayerprop %s CBasePlayer.localdata.m_iAmmo.011 1000' % userid)
    if tg_fb_enabled == 1:
        es.server.queuecmd('es_xgive %s weapon_flashbang' % userid)
        es.server.queuecmd('es_xsetplayerprop %s CBasePlayer.localdata.m_iAmmo.012 1000' % userid)
    if tg_sg_enabled == 1:
        es.server.queuecmd('es_xgive %s weapon_smokegrenade' % userid)
        es.server.queuecmd('es_xsetplayerprop %s CBasePlayer.localdata.m_iAmmo.013 1000' % userid)

def round_start(ev):
    if tg_adverts == 1:
        es.server.queuecmd('es_xmsg #multi #lightgreen[Thousand Grenades]#default You have #lightgreen1000#default grenades')